/*  cputypes.h
 *
 *  This include file contains the basic type definitions required by RTEMS
 *  which are specific to a CPU type.
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  $Id$
 */

#ifndef __CPUTYPES_h
#define __CPUTYPES_h

/* type definitions */

typedef unsigned char  unsigned8;     /* 8-bit  unsigned integer */
typedef unsigned short unsigned16;    /* 16-bit unsigned integer */
typedef unsigned int   unsigned32;    /* 32-bit unsigned integer */

typedef unsigned16     Priority_Bit_map_control;

#endif

/* end of include file */
