/*  time27.h
 * 
 *  This include file contains CPU/target dependent information needed
 *  to generate and time an interrupt.
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  $Id$
 */

#ifndef __TIME27_h
#define __TIME27_h

#include "cpu.h"

#ifdef force386
#define TIME27_VECTOR      0x90 /* Use a software interrupt */
#define Cause_tm27_intr()  asm volatile( "int $0x90" : : );
#define Clear_tm27_intr()  
#endif

/* on i80386 following are board independent */
#define Install_tm27_vector( handler ) \
  set_vector( (handler), TIME27_VECTOR, 1 )

#endif
/* end of include file */

