/*  Io_init()
 *
 *  This routine initializes the FORCE CPU/386 board support IO package.
 *
 *  Input parameters:  NONE
 *
 *  Output parameters:  NONE
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  $Id$
 */

#define F386_INIT

#include "force386.h"

rtems_device_driver Io_init()
{
  register rtems_unsigned8 ignored;
  /* 
   *  FORCE technical support mentioned that it may be necessary to
   *  read the DUSCC RX_BUFFER port four times to remove all junk.
   *  This code is a little more paranoid.
   */

   inport_byte( RX_BUFFER, ignored );
   inport_byte( RX_BUFFER, ignored );
   inport_byte( RX_BUFFER, ignored );
   inport_byte( RX_BUFFER, ignored );
   inport_byte( RX_BUFFER, ignored );
}
