/*  Io_init()
 *
 *  This routine initializes the CVME961 board support IO package.
 *
 *  Input parameters:  NONE
 *
 *  Output parameters:  NONE
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  $Id$
 */

#define C961_INIT

#include "rtems.h"
#include "iosupp.h"
#include "cvme961.h"

rtems_device_driver Io_init()
{
  c961_ioinit();
}

