/*  int _C961_outch( ch )
 *
 *  This routine transmits a character using FORCEBUG.  It supports
 *  XON/XOFF flow control.
 *
 *  Input parameters:
 *    ch  - character to be transmitted 
 *
 *  Output parameters:  NONE
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  $Id$
 */

#include "rtems.h"
#include "iosupp.h"
#include "cvme961.h"

int _C961_outch( ch )
char ch;
{
#if 0
  char chin;

  while ( _C961_chrdy() )        /* must be an XOFF */
    NINDY_IO( NINDY_INPUT, &chin );
    if ( chin == XOFF ) 
      while ( FOREVER ) {
        NINDY_IO( NINDY_INPUT, &chin );
        if ( chin == XON ) 
          break;
      }

#endif
  NINDY_IO( NINDY_OUTPUT, ch );
  if ( ch == '\n' ) 
    NINDY_IO( NINDY_OUTPUT, CR );
  return( 0 );
}
