/*  int _D152_chrdy( &ch )
 *
 *  This routine returns TRUE if a character is available.
 *
 *  Input parameters: NONE
 *
 *  Output parameters:  NONE
 *
 *  Return values:
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  $Id$
 */

#include "dmv152.h"

int _D152_chrdy( ch )
char *ch;
{
  rtems_unsigned8 rr_0;

  while ( FOREVER ) {
    Z8x30_READ_CONTROL( CONSOLE_CONTROL, RR_0, rr_0 );
    if ( !(rr_0 & RR_0_RX_DATA_AVAILABLE) )
      return( FALSE );
    
    Z8x30_READ_DATA( CONSOLE_DATA, *ch );
    if ( *ch >= ' ' &&  *ch <= '~' )
      return( TRUE );
  }
}
