/*  int _M136_inch()
 *
 *  This routine reads a character from the UART.
 *
 *  Input parameters: NONE
 *
 *  Output parameters:  NONE
 *
 *  Return values:
 *    character read from UART
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  $Id$
 */

#include "mvme136.h"

int _M136_inch()
{
  char ch;

  do {
    while ( !(_Read_m681->srb & RXRDYB) );
    ch = _Read_m681->rbb;
    if ( ch == CR || ch == LF )
      break;
  } while ( ch < ' ' ||  ch > '~' );
  return ( ch );
}
