/*  Io_init
 *
 *  This routine initializes the MVME136 board support IO package.
 *
 *  Input parameters:  NONE
 *
 *  Output parameters:  NONE
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  $Id$
 */

#define M136_INIT

#include "rtems.h"
#include "iosupp.h"
#include "mvme136.h"

rtems_device_driver Io_init()
{
  _Write_m681 = ( struct w_m681_info * ) M681ADDR;
  _Read_m681 = ( struct r_m681_info * ) M681ADDR;
}
