/*  gvar.h  
 *
 *  This header file contains the global variables for the test set.
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  $Id$
 */

/* global variables */

EXTERN rtems_id Global_variable;    /* example global variable     */
extern rtems_configuration_table Configuration;
                                    /* init.c includes init'ed one */

/* functions */

rtems_task Init(
  rtems_task_argument argument
);

rtems_task Application_task( 
  rtems_task_argument argument
);

/* end of include file */
