/*  gvar.h  
 *
 *  This header file contains the global variables for the test set.
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  $Id$
 */

/* global variables */

EXTERN rtems_id   Task_id[ 6 ];     /* array of task ids */
EXTERN rtems_name Task_name[ 6 ];   /* array of task names */

EXTERN struct counters Count;       /* iteration counters */
EXTERN struct counters Temporary_count;
extern rtems_task_priority Priorities[ 6 ];

extern rtems_configuration_table Configuration;
                                    /* init.c includes init'ed one */

/* functions */

rtems_task Init(
  rtems_task_argument argument
);

rtems_task Task_1_through_5(
  rtems_task_argument argument
);

void Get_all_counters( void );

/* end of include file */
