/*  gvar.h  
 *
 *  This header file contains the global variables for the test set.
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  $Id$
 */

EXTERN rtems_id   Task_id[ 2 ];     /* array of task ids */
EXTERN rtems_name Task_name[ 2 ];   /* array of task names */

EXTERN rtems_id   Port_id[ 2 ];     /* array of port ids */
EXTERN rtems_name Port_name[ 2 ];   /* array of port names */

#define Internal_port_area ((rtems_unsigned8 *) 0x00001000)
#define External_port_area ((rtems_unsigned8 *) 0x00002000)

#define Below_port_area    ((rtems_unsigned8 *) 0x00000500)
#define Above_port_area    ((rtems_unsigned8 *) 0x00003000)

/* functions */

rtems_task Init(
  rtems_task_argument argument
);

rtems_task Task_1(
  rtems_task_argument argument
);

/* end of include file */
