/*  gvar.h  
 *
 *  This header file contains the global variables for the test set.
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  $Id$
 */

EXTERN rtems_id   Task_id[ 4 ];     /* array of task ids */
EXTERN rtems_name Task_name[ 4 ];   /* array of task names */

EXTERN rtems_id   Timer_id[ 4 ];     /* array of timer ids */
EXTERN rtems_name Timer_name[ 4 ];   /* array of timer names */

extern rtems_configuration_table Configuration;
                                    /* init.c includes init'ed one */

/* functions */

rtems_task Init(
  rtems_task_argument argument
);

rtems_timer_service_routine Resume_task(
  rtems_id  timer_id,
  void     *ignored
);

rtems_task Task_1_through_3(
  rtems_task_argument argument
);

/* end of include file */
