/*  fatal.h
 *
 *  This include file contains constants and prototypes related
 *  to the Fatal Error Manager.
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  $Id$
 */

#ifndef __FATAL_h
#define __FATAL_h

/*
 *  _Fatal_Error_occurred
 *
 *  This is the routine which implements the fatal_error_occurred
 *  directive.  It is invoked when the application or RTEMS 
 *  determines that a fatal error has occurred.
 */

void volatile _Fatal_Error_occurred(
  unsigned32 the_error
);

#endif
/* end of include file */
