/*  types.h
 *
 *  This include file conditionally includes a processor dependent
 *  type definition header file.  That file should define the basic
 *  data types upon which RTEMS data types are built.  All RTEMS data
 *  types are then defined based on the basic data types.
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  $Id$
 */

#ifndef __TYPES_h
#define __TYPES_h

#include "cputypes.h"

/* RTEMS type definitions */

typedef unsigned32   boolean;            /* Boolean value   */
typedef void       (*proc_ptr)();        /* procedure ptr   */

#endif
/* end of include file */
