#ifndef __TYPES_H__
#define __TYPES_H__

typedef unsigned long   clock_t;
typedef long		off_t;
typedef unsigned short	ino_t;
typedef short		dev_t;

#define	_time_t
typedef long		time_t;

#define makedev(maj, min)	(((maj)<<8) | (min))
#define minor(dev)		((dev) & 0xFF)
#define major(dev)		(((dev)>>8) & 0xFF)


/* these are in iC960 R3.0, but we don't want to pollute the namespace */
/* typedef	unsigned char	uchar; */
/* typedef	unsigned short	ushort; */
/* typedef	unsigned int	uint; */
/* typedef	unsigned long	ulong; */
/* typedef	unsigned char	u_char; */
/* typedef	unsigned short	u_short; */
/* typedef	unsigned int	u_int; */
/* typedef	unsigned long	u_long; */
/* #ifndef _mode_t */
/* #define _mode_t */
/* typedef unsigned long mode_t; */
/* #endif */

#endif /* __TYPES_H__ */


