#  dirstatus.eq
#
#  This file contains the status codes returned from the 
#  executive directives.
#
#  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
#  On-Line Applications Research Corporation (OAR).
#  All rights assigned to U.S. Government, 1994.
#
#  This material may be reproduced by or for the U.S. Government pursuant
#  to the copyright license under the clause at DFARS 252.227-7013.  This
#  notice must appear in all copies of this file and its derivatives.
#
#  $Id$
#

.set STATUS_SUCCESSFUL               ,  0 # successful completion
.set STATUS_TASK_EXITTED             ,  1 # returned from a thread
.set STATUS_MP_NOT_CONFIGURED        ,  2 # multiprocessing not configured
.set STATUS_INVALID_NAME             ,  3 # invalid object name
.set STATUS_INVALID_ID               ,  4 # invalid object id
.set STATUS_TOO_MANY                 ,  5 # too many
.set STATUS_TIMEOUT                  ,  6 # timed out waiting
.set STATUS_OBJECT_WAS_DELETED       ,  7 # object was deleted while waiting
.set STATUS_INVALID_SIZE             ,  8 # specified size was invalid
.set STATUS_INVALID_ADDRESS          ,  9 # address specified is invalid
.set STATUS_INVALID_NUMBER           , 10 # number was invalid
.set STATUS_NOT_DEFINED              , 11 # item has not been initialized
.set STATUS_RESOURCE_IN_USE          , 12 # resources still outstanding
.set STATUS_UNSATISFIED              , 13 # request not satisfied
.set STATUS_INCORRECT_STATE          , 14 # thread is in wrong state
.set STATUS_ALREADY_SUSPENDED        , 15 # thread already in state
.set STATUS_ILLEGAL_ON_SELF          , 16 # illegal operation on 
#                                              calling thread
.set STATUS_ILLEGAL_ON_REMOTE_OBJECT , 17 # illegal operation for 
#                                              remote object
.set STATUS_CALLED_FROM_ISR          , 18 # called from wrong environment
.set STATUS_INVALID_PRIORITY         , 19 # invalid thread priority
.set STATUS_INVALID_CLOCK            , 20 # invalid date/time
.set STATUS_INVALID_NODE             , 21 # invalid node id
.set STATUS_NOT_CONFIGURED           , 22 # directive not configured
.set STATUS_NOT_OWNER_OF_RESOURCE    , 23 # not owner of resource
.set STATUS_NOT_IMPLEMENTED          , 24 # directive not implemented

# end of dirstatus.eq
