/*  time27.h
 * 
 *  This include file contains CPU/target dependent information needed
 *  to generate and time an interrupt.
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  $Id$
 */

#ifndef __TIME27_h
#define __TIME27_h

#ifdef cvme961
#define TIME27_VECTOR 0x62
#define TIME27_INTR   6
#endif

/* on i960CA following are board independent */

#define Install_tm27_vector( handler ) \
  set_vector( (handler), TIME27_INTR, 1 )
#define Cause_tm27_intr()  cause_intr( TIME27_VECTOR )
#define Clear_tm27_intr()  clear_intr( TIME27_INTR )

#endif
/* end of include file */


