#  directives.eq
#
#  The following definitions are the directive numbers used
#  in the assembly interface.
#
#  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
#  On-Line Applications Research Corporation (OAR).
#  All rights assigned to U.S. Government, 1994.
#
#  This material may be reproduced by or for the U.S. Government pursuant
#  to the copyright license under the clause at DFARS 252.227-7013.  This
#  notice must appear in all copies of this file and its derivatives.
#
#  $Id$
#


.set INITIALIZE_EXECUTIVE                      ,  0
.set SHUTDOWN_EXECUTIVE                        ,  1
.set TASKS_CREATE                              ,  2
.set TASKS_NAME_TO_ID                          ,  3
.set TASKS_START                               ,  4
.set TASKS_RESTART                             ,  5
.set TASKS_DELETE                              ,  6
.set TASKS_SUSPEND                             ,  7
.set TASKS_RESUME                              ,  8
.set TASKS_SET_PRIORITY                        ,  9
.set TASKS_MODE                                , 10
.set TASKS_GET_NOTE                            , 11
.set TASKS_SET_NOTE                            , 12
.set TASKS_WAKE_AFTER                          , 13
.set TASKS_WAKE_WHEN                           , 14
.set INTERRUPT_CATCH                           , 15
.set Clock_set                                 , 16
.set CLOCK_GET                                 , 17
.set CLOCK_TICK                                , 18
.set TIMER_CREATE                              , 19
.set TIMER_NAME_TO_ID                          , 20
.set TIMER_CANCEL                              , 21
.set TIMER_DELETE                              , 22
.set TIMER_FIRE_AFTER                          , 23
.set TIMER_FIRE_WHEN                           , 24
.set TIMER_RESET                               , 25
.set SEMAPHORE_CREATE                          , 26
.set SEMAPHORE_NAME_TO_ID                      , 27
.set SEMAPHORE_DELETE                          , 28
.set SEMAPHORE_OBTAIN                          , 29
.set SEMAPHORE_RELEASE                         , 30
.set MESSAGE_QUEUE_CREATE                      , 31
.set MESSAGE_QUEUE_NAME_TO_ID                  , 32
.set MESSAGE_QUEUE_DELETE                      , 33
.set MESSAGE_QUEUE_SEND                        , 34
.set MESSAGE_QUEUE_URGENT                      , 35
.set MESSAGE_QUEUE_BROADCAst                   , 36
.set MESSAGE_QUEUE_RECEIVE                     , 37
.set MESSAGE_QUEUE_FLUSH                       , 38
.set EVENT_SEND                                , 39
.set EVENT_RECEIVE                             , 40
.set SIGNAL_CATCH                              , 41 
.set SIGNAL_SEND                               , 42
.set PARTITION_CREATE                          , 43
.set PARTITION_NAME_TO_ID                      , 44
.set PARTITION_DELETE                          , 45
.set PARTITION_GET_BUFFER                      , 46
.set PARTITION_RETURN_BUFFER                   , 47
.set REGION_CREATE                             , 48
.set REGION_NAME_TO_ID                         , 49
.set REGION_DELETE                             , 50
.set REGION_GET_SEGMENT                        , 51
.set REGION_RETURN_SEGMENT                     , 52
.set DUAL_PORTED_MEMORY_CREATE                 , 53
.set DUAL_PORTED_MEMORY_NAME_TO_ID             , 54
.set DUAL_PORTED_MEMORY_DELETE                 , 55
.set DUAL_PORTED_MEMORY_EXTERNAL_TO_INTERNAL   , 56
.set DUAL_PORTED_MEMORY_INTERNAL_TO_EXTERNAL   , 57
.set IO_INITIALIZE                             , 58
.set IO_OPEN                                   , 59
.set IO_CLOSE                                  , 60
.set IO_READ                                   , 61
.set IO_WRITE                                  , 62
.set IO_CONTROL                                , 63
.set FATAL_ERROR_OCCURRED                      , 64
.set RATE_MONOTONIC_CREATE                     , 65
.set RATE_MONOTONIC_NAME_TO_ID                 , 66
.set RATE_MONOTONIC_DELETE                     , 67
.set RATE_MONOTONIC_CANCEL                     , 68
.set RATE_MONOTONIC_PERIOD                     , 69
.set MULTIPROCESSING_ANNOUNCE                  , 70

# end of directiv.eq
