#  console.s
#
#  This file contains assembly support for the Cyclone CVME961
#  BSP for input/output using the Nindy monitor.
#
#  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
#  On-Line Applications Research Corporation (OAR).
#  All rights assigned to U.S. Government, 1994.
#
#  This material may be reproduced by or for the U.S. Government pursuant
#  to the copyright license under the clause at DFARS 252.227-7013.  This
#  notice must appear in all copies of this file and its derivatives.
#
#  $Id$
#

include(system.eq)

	      BEGIN_CODE
        .align 4

PUBLIC_LABEL(_NINDY_IO)
        #ldconst 0x001f0000,r4           # r4 = PC mask
        #ldconst 0x001f0000,r5           # r5 = intr level
        #modpc   0,r4,r5                 # DISABLE INTERRUPTS!!!
        calls   0                       # call console routines
        #modpc   0,r4,r5                 # ENABLE INTERRUPTS!!!
        ret                             # return on result

END_CODE
END
