/*  ttystub.c
 *
 *  This file contains a stub version of the TTY driver which is  
 *  necessary to resolve all references on boards which do not
 *  support an interrupt driver TTY driver.
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  $Id$
 */

#include "rtems.h"
#include "ttydrv.h"

rtems_device_driver Tty_initialize(
  rtems_device_major_number major,
  rtems_device_minor_number minor,
  void *argp,
  rtems_id tid,
  rtems_unsigned32 *rval )
{
  *rval = TTY_SUCCESSFUL;
}

rtems_device_driver Tty_read(
  rtems_device_major_number major,
  rtems_device_minor_number minor,
  void *argp,
  rtems_id tid,
  rtems_unsigned32 *rval )
{
  *rval = TTY_SUCCESSFUL;
}

rtems_device_driver Tty_write(
  rtems_device_major_number major,
  rtems_device_minor_number minor,
  void *argp,
  rtems_id tid,
  rtems_unsigned32 *rval )
{
  *rval = TTY_SUCCESSFUL;
}

rtems_device_driver Tty_control(
  rtems_device_major_number major,
  rtems_device_minor_number minor,
  void *argp,
  rtems_id tid,
  rtems_unsigned32 *rval )
{
  *rval = TTY_SUCCESSFUL;
}
