#include "lib.h"

/*
 * strcmp - compare string s1 to s2
 */

#undef strcmp

int				/* <0 for <, 0 for ==, >0 for > */
strcmp(s1, s2)
register CONST char *s1;
register CONST char *s2;
{
  register int ch1, ch2;
  
  /*
   * [atw] try to avoid dereferencing a null pointer.
   */
  
  if (s1==s2)
    return 0;	/* strings are equal if same object. */
  else if (s1==0)
    return -1;
  else if (s2==0)
    return 1;

  do
  {
    ch1 = *s1;
	ch2 = *s2;
    s1++;		/* fill delay slot waiting for loads to complete */
    s2++;
  } while (ch1 != 0 && ch1 == ch2);


  return(ch1 - ch2);
}
