#include "lib.h"

/*
 * strcpy - copy string src to dst
 */
#undef strcpy

char *				/* dst */
strcpy(dst, src)
register char *dst;
register CONST char *src;
{
  register char *dscan;
  register unsigned ch;

  /*
   * [atw] avoid dereferencing null pointers
   */

  if (dst==0 || src==0)
    return (char *)0;

  dscan = dst;
  dscan--;
  do {
    ch = *src++;
    *++dscan = ch;
  } while (ch);

  return(dst);
}
