/*  gvar.h  
 *
 *  This header file contains the global variables for the test set.
 *
 *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
 *  On-Line Applications Research Corporation (OAR).
 *  All rights assigned to U.S. Government, 1994.
 *
 *  This material may be reproduced by or for the U.S. Government pursuant
 *  to the copyright license under the clause at DFARS 252.227-7013.  This
 *  notice must appear in all copies of this file and its derivatives.
 *
 *  $Id$
 */

EXTERN rtems_id Task_id[ 7 ];     /* array of task ids */
EXTERN rtems_id Task_name[ 7 ];   /* array of task names */

EXTERN float FP_context[ 3 ][ 8 ];  /* FP register contents */

extern rtems_configuration_table Configuration;
                                    /* init.c includes init'ed one */

/* functions */

rtems_task Init(
  rtems_task_argument argument
);

rtems_task First_FP_task(
  rtems_task_argument argument
);

rtems_task FP_task(
  rtems_task_argument argument
);

rtems_task Task_1(
  rtems_task_argument argument
);

int FP_load( float [] );

int FP_check( float [] );

int FP_use();

/* end of include file */
